This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 854161 - not able to add keymap with ibus-setup
not able to add keymap with ibus-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 04:45 EDT by A S Alam
Modified: 2013-07-02 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:28:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for dup_strv (1.32 KB, patch)
2012-09-05 23:24 EDT, fujiwara
no flags Details | Diff
Patch for dup_strv (2.42 KB, patch)
2012-09-11 04:39 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description A S Alam 2012-09-04 04:45:42 EDT
Description of problem: while start ibus with im-chooser, ibus-setup not allow to add keymap

Error message on terminal was:
--
Traceback (most recent call last):
  File "/usr/share/ibus/setup/main.py", line 642, in __config_value_changed_cb
    value = variant.dup_strv()[0]
IndexError: list index out of range
----


Version-Release number of selected component (if applicable):
ibus-1.4.99.20120822-1.fc18.x86_64
ibus-m17n-1.3.4-4.fc18.x86_64
gnome-shell-3.5.90-3.fc18.x86_64

How reproducible:
every time

Steps to Reproduce:
1. run ibus
2. run ibus-setup
3. click on 'Input Method' 
4. Select Hindi Inscript (from Other)
5. Click on Add

Actual results:
it added and disappear 

Expected results:
change should exist after clicking add button

Additional info:
[aalam@localhost ~]$ rpm -qa|grep ibus|sort
ibus-1.4.99.20120822-1.fc18.x86_64
ibus-anthy-1.4.99.20120327-2.fc18.x86_64
ibus-chewing-1.4.2-1.fc18.x86_64
ibus-gnome3-1.4.99.20120822-1.fc18.x86_64
ibus-gtk2-1.4.99.20120822-1.fc18.x86_64
ibus-gtk3-1.4.99.20120822-1.fc18.x86_64
ibus-hangul-1.4.1-5.fc18.x86_64
ibus-libpinyin-1.4.91-1.fc18.x86_64
ibus-libs-1.4.99.20120822-1.fc18.x86_64
ibus-m17n-1.3.4-4.fc18.x86_64
ibus-pinyin-db-android-1.4.99.20120620-3.fc18.noarch
ibus-rawcode-1.3.1.20100707-8.fc18.x86_64
ibus-typing-booster-0.0.8-1.fc18.noarch
Comment 1 A S Alam 2012-09-04 04:47:32 EDT
sorry, component should be ibus
Comment 2 fujiwara 2012-09-05 23:24:14 EDT
Created attachment 610157 [details]
Patch for dup_strv

Thanks for the report.
Comment 3 Fedora Update System 2012-09-06 03:14:48 EDT
ibus-1.4.99.20120822-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-2.fc18
Comment 4 Fedora Update System 2012-09-06 03:14:59 EDT
ibus-1.4.99.20120822-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-2.fc17
Comment 5 Fedora Update System 2012-09-07 07:27:03 EDT
Package ibus-1.4.99.20120822-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120822-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13426/ibus-1.4.99.20120822-2.fc17
then log in and leave karma (feedback).
Comment 6 fujiwara 2012-09-11 04:39:53 EDT
Created attachment 611688 [details]
Patch for dup_strv

The previous patch works for f18 but it causes a regression for f17.
I noticed the GLib.Variant.dup_strv() returns tuple in f17 but list in f18.

I checked the pygobject3 but I didn't find where was changed.
I added the patch which might not be smart.
Comment 7 Fedora Update System 2012-09-17 18:28:48 EDT
ibus-1.4.99.20120822-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.